"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOptionFromSize = exports.getMaxDensity = void 0;
function getMaxDensity(sizes) {
    const sizeDensityValueRegex = /^(\d+)(x)$/; // match more tha none digit followed by x
    const densities = sizes
        .map((size) => { var _a; return (_a = size === null || size === void 0 ? void 0 : size.match(sizeDensityValueRegex)) === null || _a === void 0 ? void 0 : _a[1]; })
        .filter((size) => size)
        .map((size) => Number.parseInt(size));
    return Math.max(...densities);
}
exports.getMaxDensity = getMaxDensity;
function getOptionFromSize(size, baseDensity) {
    if (!size)
        return {};
    const sizeWidthValueRegex = /^(\d+)(w)$/; // match more tha none digit followed by w
    const sizeDensityValueRegex = /^(\d+)(x)$/; // match more tha none digit followed by x
    const sizeWidthMatches = size.match(sizeWidthValueRegex);
    const sizeDensityMatches = size.match(sizeDensityValueRegex);
    if (sizeWidthMatches)
        return { width: Number.parseInt(sizeWidthMatches[1]) };
    if (sizeDensityMatches)
        return { scale: Number.parseInt(sizeDensityMatches[1]) / baseDensity };
    throw "Should never reach here";
}
exports.getOptionFromSize = getOptionFromSize;
